//Itana is copyright 2000 by Jason Winnebeck.  You may freely distribute this
//game in its original archive.  If us wish to use code from Itana feel free
//to do so.  If you do a mention in the credits or a mail to
//gillius@webzone.net would be apprciated.

#ifndef _SHIPSTATS_H_
#define _SHIPSTATS_H_

#include "Itana.h"

struct ShipStats {
  double width;
  double height;

  int engineuse;
  int aburnuse;
  int fireuse;
  int specialuse;

  int firedelay;
  int specialdelay;

  int regenrate;

  int maxenergy;
  int maxshield;
  int maxarmor;

  double accel;
  double aburnaccel;
  double maxspeed;
  double maxaburnspeed;
  double aburnfric; //"afterburner friction"
  double turnrate;
};

/* defined in Ship.h
const int HUMAN_STATS = 0;
const int ZYLEX_STATS = 1;
const int ORNON_STATS = 2;
const int ALSETTI_STATS = 3;
*/

const ShipStats STATS[4] = {
  //dims        usages          delays regn maxs           accel aburn maxsp maxab  abfric turn
  { 32.0, 32.0, 2,  5, 30,  2,  10,  0,  1,9500,5000,2500, 0.1,  0.3,  4.0,  8.0,  -0.25,  0.05},
  { 32.0, 32.0, 2, 15, 30,1000, 10,300,  1,9500,5000,2500, 0.3,  0.4,  6.0, 16.0,  -0.20,  0.05},
  { 48.0, 48.0, 2, 15, 10,1000, 10,200,  1,9500,5000,2500, 0.05,0.17,  3.0,  7.0,  -0.15,  0.03},
  { 32.0, 32.0, 2,  5, 30,100,  10, 50,  1,9500,5000,2500, 0.1,  0.3,  4.0,  8.0,  -0.25,  0.05},
};

#endif